Loading...
Searching...
No Matches
ada::character_sets Namespace Reference

Includes the definitions for unicode character sets. More...

## Functions

ada_really_inline constexpr bool | bit_at (const uint8_t a[], const uint8_t i)

## Variables

constexpr char | hex [1024]
constexpr uint8_t | C0_CONTROL_PERCENT_ENCODE [32]
constexpr uint8_t | SPECIAL_QUERY_PERCENT_ENCODE [32]
constexpr uint8_t | QUERY_PERCENT_ENCODE [32]
constexpr uint8_t | FRAGMENT_PERCENT_ENCODE [32]
constexpr uint8_t | USERINFO_PERCENT_ENCODE [32]
constexpr uint8_t | PATH_PERCENT_ENCODE [32]
constexpr uint8_t | WWW_FORM_URLENCODED_PERCENT_ENCODE [32]

## Detailed Description

Includes the definitions for unicode character sets.

These functions are not part of our public API and may change at any time.

## Function Documentation

## bit_at()

ada_really_inline constexpr bool ada::character_sets::bit_at | ( | const uint8_t | a[],
|  | const uint8_t | i )

constexpr

Definition at line 515 of file character_sets-inl.h.

References ada_really_inline.

Referenced by ada::unicode::percent_encode_index().

## Variable Documentation

## C0_CONTROL_PERCENT_ENCODE

uint8_t ada::character_sets::C0_CONTROL_PERCENT_ENCODE[32]

constexpr

Definition at line 53 of file character_sets-inl.h.

Referenced by ada::parser::parse_url_impl().

## FRAGMENT_PERCENT_ENCODE

uint8_t ada::character_sets::FRAGMENT_PERCENT_ENCODE[32]

constexpr

Definition at line 251 of file character_sets-inl.h.

Referenced by ada::url::set_hash().

## hex

char ada::character_sets::hex[1024]

constexpr

Definition at line 19 of file character_sets-inl.h.

## PATH_PERCENT_ENCODE

uint8_t ada::character_sets::PATH_PERCENT_ENCODE[32]

constexpr

Definition at line 383 of file character_sets-inl.h.

## QUERY_PERCENT_ENCODE

uint8_t ada::character_sets::QUERY_PERCENT_ENCODE[32]

constexpr

Definition at line 185 of file character_sets-inl.h.

Referenced by ada::parser::parse_url_impl(), ada::url::set_search(), and ada::url_aggregator::set_search().

## SPECIAL_QUERY_PERCENT_ENCODE

uint8_t ada::character_sets::SPECIAL_QUERY_PERCENT_ENCODE[32]

constexpr

Definition at line 119 of file character_sets-inl.h.

Referenced by ada::parser::parse_url_impl(), ada::url::set_search(), and ada::url_aggregator::set_search().

## USERINFO_PERCENT_ENCODE

uint8_t ada::character_sets::USERINFO_PERCENT_ENCODE[32]

constexpr

Definition at line 317 of file character_sets-inl.h.

Referenced by ada::parser::parse_url_impl(), ada::url::set_password(), ada::url_aggregator::set_password(), ada::url::set_username(), and ada::url_aggregator::set_username().

## WWW_FORM_URLENCODED_PERCENT_ENCODE

uint8_t ada::character_sets::WWW_FORM_URLENCODED_PERCENT_ENCODE[32]

constexpr

Definition at line 449 of file character_sets-inl.h.

Referenced by ada::url_search_params::to_string().